HappyDoc Generated Documentation | Class: PlotItem
--- | ---

/ Gnuplot / PlotItems.py / PlotItem

Methods |
--- | ---

| get_option
--- | ---

    get_option ( self,  name )

Exceptions |
--- | ---
KeyError( 'option %s is not set!' % name )

| get_command_option_string
--- | ---

    get_command_option_string ( self )

| set_string_option
--- | ---

    set_string_option (
            self,
            option,
            value,
            default,
            fmt,
            )

| command
--- | ---

    command ( self )

| clear_option
--- | ---

    clear_option ( self,  name )

| __init__
--- | ---

    __init__ ( self,  **keyw )

| pipein
--- | ---

    pipein ( self,  f )

| set_option
--- | ---

    set_option ( self,  **keyw )

Exceptions |
--- | ---
Errors.OptionError( 'Cannot modify %s option after construction!', option ) Errors.OptionError('%s=%s' %( option, value ) )

| get_base_command_string
--- | ---

    get_base_command_string ( self )

Exceptions |
--- | ---
NotImplementedError()

This document was automatically generated Fri May 2 16:59:06 2008 by HappyDoc version 3.1